Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.autodetect
Interface FontFinder

All Known Implementing Classes:
  FontFileFinder

    public interface FontFinder

Implementers provide find method for searching native operating system for available fonts.

Method Summary
`java.util.List<java.net.URL>` | `find()` Finds a list of font files.

Method Detail

### find

    java.util.List<java.net.URL> find()
                                      throws java.io.IOException

  Finds a list of font files.

  Returns:
    list of font files.
  Throws:
    `java.io.IOException` - In case of an I/O problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.